repair phpBB 2.0.5. it reads board version .0.0.22

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Scam Warning
Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sat Dec 12, 2009 10:54 am

I had to reinstall phpBB 3.0.5 due to an error message I get when trying to do a clean install of 3.0.6 (Tables with the specified prefix already exist, please choose an alternative). This forum says that I have to reinstall the previous version and run install/database_update.php.

With a clean install of phpBB 3.0.5 using, its original config.php, it shows on the ACP "Board version .0.22".

I tried the upgrade package 3.0.5 to 3.0.6 but got an error pertaining to .0.022.

How do I repair this?
Thanks,

Kerry

Edit = change from 2.0.6 to 3.0.6 and from .0.0.22 to .0.22
Last edited by Kerrith on Sun Dec 13, 2009 1:01 am, edited 2 times in total.

User avatar
Lumpy Burgertushie
Registered User
Posts: 55773
Joined: Mon May 02, 2005 3:11 am

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Lumpy Burgertushie » Sat Dec 12, 2009 5:22 pm

not sure what you are doing.

there is no reason to be installing anything.

if you had 3.0.5 then all you have to do is upgrade, not install.

if you also have phpbb2 on the server, then you are apparently getting table prefixes mixed up.

let's start over.

if you have no MODs installed on your phpbb 3.0.5 then just upload all new 3.0.6 files to overwrite what you have EXCEPT for the config.php file.

then, you will now have the install folder so go to:
yourdomain.com/yourphpbb/install/database_update.php in your browser.
then delete the instsall folder and you are done.


you should not ever see the install page that talks about table prefixes etc.


robert

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 44777
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby stevemaury » Sat Dec 12, 2009 5:30 pm

We need a link to your board.

And are you talking about verswion 2 or version 3? You mention both and the database version info indicates version 2.
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sat Dec 12, 2009 9:12 pm

Hi Robert,

if you had 3.0.5 then all you have to do is upgrade, not install.”
I had 3.0.5 with two mods. I tried the auto install 3.0.5-3.0.6 and got lots of error messages. I believe that's when the Board Version in ACP started to read, 0.0.22. It appears that my previous update messed up something.

if you have no MODs installed on your phpbb 3.0.5 then just upload all new 3.0.6 files to overwrite what you have EXCEPT for the config.php file.”
I saved the config.php and deleted the entire 3.0.5 version (a.k.a 0.0.22) and did a complete installed of 3.0.6 (w/o MODS). During install configuration I entered the 3.0.5 config.php data (including the former Prefix: bif_ ) When I entered Prefix: bif_ I received the error Tables with the specified prefix already exist, please choose an alternative.

Per your instructions it appears I should not have deleted the entire /forum/ but instead just save the config.php and overwrite the files it.

I read here that should change the name of the Prefix to bb_ or forum_. I tried that and it installed but it was a brand new board with no posts.

And are you talking about version 2 or version 3?
Thanks, my bad. I corrected that post this morning to read 3.0.6

if you have no MODs installed on your phpbb 3.0.5 then just upload all new 3.0.6 files to overwrite what you have EXCEPT for the config.php file.

then, you will now have the install folder so go to:
yourdomain.com/yourphpbb/install/database_update.php in your browser.
then delete the instsall folder and you are done.
Am I correct that should uploaded the saved config.php before running install/database_update.php?

if you also have phpbb2 on the server, then you are apparently getting table prefixes mixed up.
I don't know. Where do I find out?

Now I have 3.0.5 installed and it appears to be working, BUT, the Board Version still reads .0.0.22. It presently has no MODs.

The board is http://www.comcom121.org/forums

Thank you for the support,

Kerry

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 44777
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby stevemaury » Sat Dec 12, 2009 9:22 pm

So far, you have said that the version is:

.0.0.22
0.0.22
.0.22

Which is it?

The new installation you did is of no use. Your config.php file needs to have the same table prefix as your old database, which I suspect is phpbb_

Was this board once converted from version 2?
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sun Dec 13, 2009 2:02 am

So far, you have said that the version is:
.0.0.22
0.0.22
.0.22

It is .0.22
I don't understand why it would be such an old version because for the past several years I have pretty much upgraded with each upgrade. In other words, it doesn't seem likely that it would be a 2.x version because I've upgraded several 3.x versions.

You're right, I believe this might have originally been converted from SMF to phpBB. However it must have been on another host over two years ago. Our new host moved everything for us; it could have gotten messed up then.

Your config.php file needs to have the same table prefix as your old database, which I suspect is phpbb. It does, but the db is xmb2_ (I checked by opening bif_forums in phpMyAdmin). There are two other DBs listed also: forums/ and phpbb_ I believe these were created when I was getting Prefix error messages so instead of prefix: xmb2_ I tried forums_ and then phpbb_ —the forums are not listed in either of these.

I have 3.0.5 installed now but it says Board Version .0.22. I'm using bif_ and everything appears to be working. Oops I mispoke the Side Bar info is missing. When I install 3.0.5 and brought up /index.htm everything appeared to be ok except that it was displayed with the default style. I then clicked on a forum and it said, JBlue stye is missing so I installed it and the fourm displayed correctly but now I see that the Side Bar menus are missing.

Thanks,

Kerry
http://www.comcom121.org/forums/index.php

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 44777
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby stevemaury » Sun Dec 13, 2009 2:43 am

Read this if necessary - http://www.phpbb.com/kb/article/executi ... hpmyadmin/ - and then run this query:

Code: Select all

UPDATE phpbb_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';


Then you can update to 3.0.6. Do NOT "install".
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sun Dec 13, 2009 3:10 am

Re:
Code: Select all
UPDATE phpbb_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';
Should I use "phpbb_config" even though the name of the db is bif_ ?

Thanks,

Kerry

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 44777
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby stevemaury » Sun Dec 13, 2009 3:30 am

As long as you select that database on the left side first in phpMyAdmin, It will be OK.
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sun Dec 13, 2009 11:03 am

Aah, I thought it was config.php edit via FTP.

Re:
UPDATE phpbb_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';
Is there a step-by-step tutorial for this procedure?

I looked in PHPMY Admin but couldn't find any place to Update bif_config. I'm petrified of messing things up.

Kerry

Sajaki
Registered User
Posts: 988
Joined: Mon Mar 02, 2009 1:41 pm
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Sajaki » Sun Dec 13, 2009 12:11 pm

Code: Select all

UPDATE phpbb_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';


is an sql statement.

open your phpmyadmin, paste it into
Image

and press "Go"

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 44777
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby stevemaury » Sun Dec 13, 2009 4:22 pm

stevemaury wrote:Read this if necessary - http://www.phpbb.com/kb/article/executi ... hpmyadmin/ -


I included a step-by-step tutorial with my post above.
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Sun Dec 13, 2009 11:10 pm

Thanks, one last clarification.

The name of my db is xmb2 and the files in it have the prefix bif_ such as bif_config. Would I enter

"UPDATE phpbb_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';"

or

"UPDATE bif_config SET `config_value` = '3.0.5' WHERE `config_name` = 'version';" ?

Thanks, Kerry

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Mon Dec 14, 2009 10:06 pm

I tried both, with phpbb_config I got an error message so I did bif_config and it appeared to work except that the board still shows Board Version .0.022

Suggestion/fux?

Thanks Kerry

Update and correction: I just thought to purge the cashe and voila it now shows version 3.0.5.

Now the trick is to upgrade it correctly. I'll try auto upgrade first.

Much thanks, Kerry

Kerrith
Registered User
Posts: 438
Joined: Mon Mar 28, 2005 10:16 am
Location: Pahoa, Hawaii
Contact:

Re: repair phpBB 2.0.5. it reads board version .0.0.22

Postby Kerrith » Mon Dec 14, 2009 10:55 pm

Robert:

My phpBB now reads 3.0.5 with no MODs and no addon styles.

Re:
Let's start over.
if you have no MODs installed on your phpbb 3.0.5 then just upload all new 3.0.6 files to overwrite what you have EXCEPT for the config.php file.
then, you will now have the install folder so go to:
yourdomain.com/yourphpbb/install/database_update.php in your browser.
then delete the install folder and you are done.
you should not ever see the install page that talks about table prefixes etc.
robert


I downloaded a copy of /forums/ as emergency backup.
I separately downloaded a copy of the config.php.
Uploaded the complete 3.0.6 overwriting everything

now, before I run install/database_update.php do I upload the 3.0.5 copy of the config.php first?

Thanks,

Kerry

Update: I took a chance and uploaded the saved config.php and then ran install/database_update.php (successfully) and then deleted the /install/ and voilà. It shows 3.0.6. All appears well.

Thanks so very much everyone for your continuing excellent support.

Kerry
Last edited by Kerrith on Mon Dec 14, 2009 11:02 pm, edited 1 time in total.


Return to “3.0.x Support Forum”

Who is online

Users browsing this forum: ashwyn, wvanfleet, Yahoo [Bot] and 154 guests